Bric::Util::Grp::Desk - A class to impliment desk groups $LastChangedRevision$ $LastChangedDate: 2004-09-14 02:48:55 +0200 (Tue, 14 Sep 2004) $ use Bric::Util::Grp::Desk; # Create a new keyword synonym object. my $desk_grp = new Bric::Util::Grp::Desk(); # Add a description for this synonym group. $desc = $desk_grp->get_description($desc); Impliments groups of desks.

Constructors
Creates a new desk group. Uses inherited 'new' method. Throws: NONE Side Effects: NONE Notes: NONE Uses inherited 'lookup' method. Throws: NONE Side Effects: NONE Notes: NONE Uses inherited 'list' method. Throws: NONE Side Effects: NONE Notes: NONE

Destructors

Public Class Methods
NONE.

Public Instance Methods
This will return the class id that this group is associated with it should have an id that maps to the class object instance that is associated with the class of the grp ie Bric::Util::Grp::AssetVersion Throws: NONE Side Effects: NONE Notes: Overwite this in your sub classes This supplies a package to table name mapping. Throws: NONE Side Effects: NONE Notes: NONE Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once. Throws: NONE. Side Effects: NONE. Notes: NONE. Forces all Objects to be considered as this class. Throws: NONE. Side Effects: NONE. Notes: NONE.

Private Methods
NONE.

Private Class Methods
NONE

Private Instance Methods
NONE NONE Garth Webb <garth@perijove.com> perl, Bric, Bric::Biz::Workflow::Parts::Desk